import { OnInit, OnDestroy, AfterViewInit, EventEmitter } from '@angular/core';
/**
 * Bootstrap modal dialog component
 */
export declare class DialogComponent implements OnInit, AfterViewInit, OnDestroy {
    /**
     * Indication that current code is running in browser
     */
    private _isBrowser;
    /**
     * Indication whether is dialog visible
     */
    private _visible;
    /**
     * Backup of enforce focus backup function
     */
    private _enforceFocusBackup;
    /**
     * Id of dialog
     */
    dialogId: string;
    /**
     * Title of displayed dialog
     */
    dialogTitle: string;
    /**
     * Modal dialog extra css classes
     */
    dialogCss: string;
    /**
     * Indication that elements in background can be focused
     */
    backgroundFocus: boolean;
    /**
     * Bootstrap modal dialog backdrop property wrapper.
     * If true, then includes a modal-backdrop element.
     * Alternatively, specify 'static' for a backdrop which doesn't close the modal on click.
     */
    backdrop: boolean | "static";
    /**
     * Bootstrap modal dialog keyboard property wrapper.
     * If true, closes the modal when escape key is pressed.
     */
    keyboard: boolean;
    /**
     * Gets or sets indication whether is dialog visible
     */
    get visible(): boolean;
    set visible(visible: boolean);
    /**
     * Occurs when visiblity of dialog changes
     */
    visibleChange: EventEmitter<boolean>;
    /**
     * Gets dialog selector string
     */
    private get dialogSelector();
    constructor(platformId: Object);
    /**
     * Initialize component
     */
    ngOnInit(): void;
    /**
     * Called when component is destroyed
     */
    ngOnDestroy(): void;
    /**
     * Called when view was initialized
     */
    ngAfterViewInit(): void;
}
//# sourceMappingURL=dialog.component.d.ts.map