/// <reference types="bootstrap" />
import { ElementRef, AfterViewInit, OnDestroy } from '@angular/core';
/**
 * Directive applies (bootstrap) jQuery popover on all elements which have popover attribute specified.
 */
export declare class BootstrapPopoverDirective implements AfterViewInit, OnDestroy {
    /**
     * Indication that current code is running in browser
     */
    private _isBrowser;
    /**
     * JQuery object of element on which is tooltip applied
     */
    private _jqueryElement;
    /**
     * Gets or sets popover HTML content CSS selector
     */
    contentSelector: string;
    /**
     * Gets or sets popover placement location valid values (top, bottom, left, right, auto)
     */
    contentPosition: BootstrapPlacement;
    constructor(element: ElementRef, platformId: Object);
    /**
     * Called when view was initialized
     */
    ngAfterViewInit(): void;
    /**
     * Called when component is destroyed
     */
    ngOnDestroy(): void;
}
//# sourceMappingURL=bootstrapPopover.directive.d.ts.map