/// <reference types="bootstrap" />
import { ElementRef, AfterViewInit, OnDestroy } from '@angular/core';
/**
 * Directive applies (bootstrap) jQuery tooltip on all elements which have tooltip attribute specified.
 */
export declare class BootstrapTooltipDirective implements AfterViewInit, OnDestroy {
    /**
     * Indication that current code is running in browser
     */
    private _isBrowser;
    /**
     * Indication whether was tooltip already initialized
     */
    private _initialized;
    /**
     * JQuery object of element on which is tooltip applied
     */
    private _jqueryElement;
    /**
     * Tooltip text
     */
    private _text;
    /**
     * Gets or sets tooltip text
     */
    get text(): string;
    set text(value: string);
    /**
     * Indication whether tooltip allows html content
     */
    htmlTooltip: boolean;
    /**
     * Bootstrap tooltip trigger (click | hover | focus | manual)
     * How tooltip is triggered. You may pass multiple triggers; separate them with a space.
     * Manual cannot be combined with any other trigger.
     */
    trigger: BootstrapTrigger;
    constructor(element: ElementRef, platformId: Object);
    /**
     * Called when view was initialized
     */
    ngAfterViewInit(): void;
    /**
     * Called when component is destroyed
     */
    ngOnDestroy(): void;
    /**
     * Sets current value to tooltip
     */
    private _setValue;
}
//# sourceMappingURL=bootstrapTooltip.directive.d.ts.map