import { OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DatetimePickerDirective } from './datetimePicker.directive';
/**
 * Value accessor for getting and setting values for datetimepicker
 */
export declare class DatetimePickerControlValueAccessor implements ControlValueAccessor, OnDestroy {
    private _picker;
    /**
     * Method that is called when picker was touched
     */
    onTouched: () => void;
    /**
     * Subscription that looks for changes of picker
     */
    private _changeSubscription;
    /**
     * Datepicker value
     */
    private _value;
    constructor(_picker: DatetimePickerDirective);
    /**
     * Sets value to select
     */
    writeValue(value: any): void;
    /**
     * Registers callback that is called when value of select changes
     */
    registerOnChange(fn: (data: any) => any): void;
    /**
     * Registers callback that is called when select is closed
     */
    registerOnTouched(fn: () => any): void;
    /**
     * Called when component is destroyed
     */
    ngOnDestroy(): void;
}
//# sourceMappingURL=datetimePickerControlValueAccessor.directive.d.ts.map