import { ControlValueAccessor } from '@angular/forms';
import { OnDestroy } from '@angular/core';
import { BootstrapSelectDirective } from './bootstrapSelect.directive';
/**
 * Control value accessor for BootstrapSelectDirective
 */
export declare class BootstrapSelectControlValueAccessor implements ControlValueAccessor, OnDestroy {
    private _select;
    /**
     * Subscription that looks for changes of select
     */
    private _changeSubscription;
    /**
     * Currently set value
     */
    value: any;
    constructor(_select: BootstrapSelectDirective);
    /**
     * Sets value to select
     */
    writeValue(value: any): void;
    /**
     * Registers callback that is called when value of select changes
     */
    registerOnChange(fn: (data: any) => any): void;
    /**
     * Registers callback that is called when select is closed
     */
    registerOnTouched(): void;
    /**
     * Called when component is destroyed
     */
    ngOnDestroy(): void;
}
//# sourceMappingURL=bootstrapSelectControlValueAccessor.directive.d.ts.map