/**
 * Directive that wraps options for bootstrap select
 */
export declare class BootstrapSelectOptionDirective {
    /**
     * Value of option attribute value
     */
    optionValue: string;
    /**
     * Real value of option
     */
    private _value;
    /**
     * Value property that is used for extracting unique value from object value
     */
    private _valueProperty;
    /**
     * Value property that is used for extracting unique value from object value
     */
    get valueProperty(): string;
    set valueProperty(val: string);
    /**
     * Gets or sets real value of option
     */
    get value(): any;
    set value(val: any);
    /**
     * Unique id of current option
     */
    get id(): string;
    constructor();
    /**
     * Compares provided value with current option value
     * @param val - Value to be compared
     * @returns boolean
     */
    isEqual(val: any): boolean;
}
//# sourceMappingURL=bootstrapSelectOption.directive.d.ts.map