import { OnDestroy, OnInit, ElementRef, EventEmitter } from '@angular/core';
export declare class BootstrapSwitchDirective implements OnInit, OnDestroy {
    private _element;
    private _platformId;
    /**
     * Indication whether is application initialized
     */
    private _initialized;
    /**
     * Current value of switch
     */
    private _value;
    /**
     * Indication whether is code running in browser
     */
    private _isBrowser;
    /**
     * Gets or sets current value of switch
     */
    get value(): boolean;
    set value(value: boolean);
    /**
     * Text of the left side of the switch, checkbox is checked
     */
    onText: string;
    /**
     * Text of the right side of the switch, checkbox is unchecked
     */
    offText: string;
    /**
     * Css class that is applied to left side of the switch (on state), this css class is as suffix for bootstrap-switch-*, defined bootstrap classes default, primary, info, warning, success, danger
     */
    onCssClass: string;
    /**
     * Css class that is applied to right side of the switch (off state), this css class is as suffix for bootstrap-switch-*, defined bootstrap classes default, primary, info, warning, success, danger
     */
    offCssClass: string;
    /**
     * Gets event emitter that is trigerred when value changes
     */
    valueChanged: EventEmitter<boolean>;
    constructor(_element: ElementRef, _platformId: Object);
    /**
     * Initialize component
     */
    ngOnInit(): void;
    /**
     * Called when component is destroyed
     */
    ngOnDestroy(): void;
}
//# sourceMappingURL=bootstrapSwitch.directive.d.ts.map