import { ControlValueAccessor } from '@angular/forms';
import { OnDestroy } from '@angular/core';
import { BootstrapSwitchDirective } from './bootstrapSwitch.directive';
/**
 * Value accessor for BootstrapSwitchDirective
 */
export declare class BootstrapSwitchControlValueAccessor implements ControlValueAccessor, OnDestroy {
    private _switch;
    /**
     * Subscription that looks for changes of switch
     */
    private _changeSubscription;
    constructor(_switch: BootstrapSwitchDirective);
    /**
     * Sets value to switch
     */
    writeValue(value: any): void;
    /**
     * Registers callback that is called when value of select changes
     */
    registerOnChange(fn: (data: any) => any): void;
    /**
     * Registers callback that is called when select is closed
     */
    registerOnTouched(): void;
    /**
     * Called when component is destroyed
     */
    ngOnDestroy(): void;
}
//# sourceMappingURL=bootstrapSwitchControlValueAccessor.directive.d.ts.map