import { OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { TypeaheadDirective } from './typeahead.directive';
/**
 * Value accessor for getting and setting values for typeahead
 */
export declare class TypeaheadControlValueAccessor implements ControlValueAccessor, OnDestroy {
    private _typeahead;
    /**
     * Method that is called when typeahead was touched
     */
    onTouched: () => void;
    /**
     * Subscription that looks for changes of typeahead
     */
    private _changeSubscription;
    /**
     * Currently set value
     */
    value: any;
    constructor(_typeahead: TypeaheadDirective);
    /**
     * Sets value to select
     */
    writeValue(value: any): void;
    /**
     * Registers callback that is called when value of typeahead changes
     */
    registerOnChange(fn: (data: any) => any): void;
    /**
     * Registers callback that is called when typeahead is touched
     */
    registerOnTouched(fn: () => any): void;
    /**
     * Called when component is destroyed
     */
    ngOnDestroy(): void;
}
//# sourceMappingURL=typeaheadControlValueAccessor.directive.d.ts.map