import { OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { TypeaheadTagsComponent } from '../../components/typeaheadTags/typeaheadTags.component';
/**
 * Value accessor for getting and setting values for typeahead tags
 */
export declare class TypeaheadTagsControlValueAccessor implements ControlValueAccessor, OnDestroy {
    private _typeaheadTags;
    /**
     * Method that is called when typeahead was touched
     */
    onTouched: () => void;
    /**
     * Subscription that looks for changes of typeahead tags
     */
    private _changeSubscription;
    /**
     * Currently set value
     */
    value: any;
    constructor(_typeaheadTags: TypeaheadTagsComponent);
    /**
     * Sets value to select
     */
    writeValue(value: any): void;
    /**
     * Registers callback that is called when value of typeahead changes
     */
    registerOnChange(fn: (data: any) => any): void;
    /**
     * Registers callback that is called when typeahead is touched
     */
    registerOnTouched(fn: () => any): void;
    /**
     * Called when component is destroyed
     */
    ngOnDestroy(): void;
}
//# sourceMappingURL=typeaheadTagsControlValueAccessor.directive.d.ts.map